Package twisted :: Package web :: Module static :: Class DirectoryListing

[show private | hide private]
[frames | no frames]

## Class DirectoryListing

      Widget --+
               |
    StreamWidget --+
                   |
                  DirectoryListing

Method Summary
| `__init__(self, pathname, dirs)`
| ``display`(self, request)` Produce a list containing a single string. (inherited from `StreamWidget`)
| `getTitle(self, request)`
| ``stream`(self, write, request)` Call 'write' multiple times with a string argument to represent this widget.

Method Details

### stream(self, write, request)

Call 'write' multiple times with a string argument to represent this widget.

  Overrides:
    `twisted.web.widgets.StreamWidget.stream` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:19:08 2003 | http://epydoc.sf.net